const { gql } = require('apollo-server-express');

module.exports = gql`

    type Vaccin {
        id: ID!
        vaccinAt: DateTime!
        categorie: String!
        intitule: String!
        lot: String!
        rappelAt: DateTime!
        commentaire: String
        status: Int!
        createdBy: String!
        createdAt: DateTime
        updatedAt: DateTime
        patient: Patient!
    }

    extend type Query {
        findAllVaccin: (patientId: String!): Vaccin!
    }

    extend type Mutation {
        createVaccin(patientId: String!, debutAt: DateTime!, finAt: DateTime!, intitule: String!, commentaire: String, createdBy: String!): Traitement!
    }

    type inputVaccin {
        vaccinAt: DateTime!
        categorie: String!
        intitule: String!
        patientId: String!
        lot: String! 
        rappelAt: DateTime!
        commentaire: String
        createdBy: String!
    }

`;